<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Tue May 07 14:16:39 CEST 2024 -->
<title>BuildingGroup</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2024-05-07">
<meta name="description" content="declaration: package: fr.ici.buildingActivity.building, class: BuildingGroup">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var evenRowColor = "even-row-color";
var oddRowColor = "odd-row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html#class">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field-summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor-summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor-detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.ici.buildingActivity.building</a></div>
<h1 title="Class BuildingGroup" class="title">Class BuildingGroup</h1>
</div>
<div class="inheritance" title="Inheritance Tree"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">java.lang.Object</a>
<div class="inheritance">fr.ici.dataImporter.iciObjects.ICIClass
<div class="inheritance">fr.ici.dataImporter.iciObjects.ICIObject
<div class="inheritance"><a href="Building.html" title="class in fr.ici.buildingActivity.building">fr.ici.buildingActivity.building.Building</a>
<div class="inheritance">fr.ici.buildingActivity.building.BuildingGroup</div>
</div>
</div>
</div>
</div>
<section class="class-description" id="class-description">
<hr>
<div class="type-signature"><span class="modifiers">public class </span><span class="element-name type-name-label">BuildingGroup</span>
<span class="extends-implements">extends <a href="Building.html" title="class in fr.ici.buildingActivity.building">Building</a></span></div>
<div class="block">Group of building in order to make them share their activities.</div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field-summary">
<h2>Field Summary</h2>
<div class="inherited-list">
<h3 id="fields-inherited-from-class-fr.ici.buildingActivity.building.Building">Fields inherited from class&nbsp;fr.ici.buildingActivity.building.<a href="Building.html" title="class in fr.ici.buildingActivity.building">Building</a></h3>
<code><a href="Building.html#bGeom">bGeom</a></code></div>
<div class="inherited-list">
<h3 id="fields-inherited-from-class-fr.ici.dataImporter.iciObjects.ICIClass">Fields inherited from class&nbsp;fr.ici.dataImporter.iciObjects.ICIClass</h3>
<code>DEBUG, rdGen</code></div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor-summary">
<h2>Constructor Summary</h2>
<div class="caption"><span>Constructors</span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Constructor</div>
<div class="table-header col-last">Description</div>
<div class="col-constructor-name even-row-color"><code><a href="#%3Cinit%3E()" class="member-name-link">BuildingGroup</a>()</code></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-constructor-name odd-row-color"><code><a href="#%3Cinit%3E(fr.ici.buildingActivity.building.BuildingSimple,java.util.List,boolean)" class="member-name-link">BuildingGroup</a><wbr>(<a href="BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a>&nbsp;building,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../address/Address.html" title="class in fr.ici.buildingActivity.address">Address</a>&gt;&nbsp;addresses,
 boolean&nbsp;entrance)</code></div>
<div class="col-last odd-row-color">
<div class="block">Create Building Group with an initial building</div>
</div>
<div class="col-constructor-name even-row-color"><code><a href="#%3Cinit%3E(java.lang.String,float,java.util.List,java.util.List,int,boolean,int,float,org.locationtech.jts.geom.MultiPolygon)" class="member-name-link">BuildingGroup</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;id,
 float&nbsp;utilFloorArea,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&gt;&nbsp;names,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&gt;&nbsp;idBdTopo,
 int&nbsp;nbHousing,
 boolean&nbsp;unknownNumberOfHousing,
 int&nbsp;nbPOI,
 float&nbsp;roomLeft,
 org.locationtech.jts.geom.MultiPolygon&nbsp;geom)</code></div>
<div class="col-last even-row-color">
<div class="block">Building Group constructor for importing an exported Building Group</div>
</div>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method-summary">
<h2>Method Summary</h2>
<div id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="method-summary-table-tab0" role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table', 3)" class="active-table-tab">All Methods</button><button id="method-summary-table-tab1" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab1', 3)" class="table-tab">Static Methods</button><button id="method-summary-table-tab2" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab2', 3)" class="table-tab">Instance Methods</button><button id="method-summary-table-tab4" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab4', 3)" class="table-tab">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<div class="summary-table three-column-summary" aria-labelledby="method-summary-table-tab0">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="BuildingGroup.html" title="class in fr.ici.buildingActivity.building">BuildingGroup</a>&gt;</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#generateBuildingGroup(java.util.List,java.util.List,java.util.List,org.geotools.data.simple.SimpleFeatureCollection)" class="member-name-link">generateBuildingGroup</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a>&gt;&nbsp;lBuilding,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../address/Address.html" title="class in fr.ici.buildingActivity.address">Address</a>&gt;&nbsp;lAddEntrances,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../address/Address.html" title="class in fr.ici.buildingActivity.address">Address</a>&gt;&nbsp;lAddParcels,
 org.geotools.data.simple.SimpleFeatureCollection&nbsp;irisGeom)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">
<div class="block">Generate new building groups out of two address collections, one representing entrances and an other one parcels.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="BuildingGroup.html" title="class in fr.ici.buildingActivity.building">BuildingGroup</a>&gt;</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#generateBuildingGroup(java.util.List,java.util.List,org.geotools.data.simple.SimpleFeatureCollection)" class="member-name-link">generateBuildingGroup</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a>&gt;&nbsp;lBuilding,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../address/Address.html" title="class in fr.ici.buildingActivity.address">Address</a>&gt;&nbsp;lAdd,
 org.geotools.data.simple.SimpleFeatureCollection&nbsp;irisGeom)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">
<div class="block">Generate new building groups out of address representing entrances and parcels.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="BuildingGroup.html" title="class in fr.ici.buildingActivity.building">BuildingGroup</a>&gt;</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#generateBuildingGroup(java.util.List,java.util.List,org.geotools.data.simple.SimpleFeatureCollection,org.geotools.data.simple.SimpleFeatureCollection)" class="member-name-link">generateBuildingGroup</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a>&gt;&nbsp;lBuilding,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../address/Address.html" title="class in fr.ici.buildingActivity.address">Address</a>&gt;&nbsp;lAdd,
 org.geotools.data.simple.SimpleFeatureCollection&nbsp;linkAddressBuilding,
 org.geotools.data.simple.SimpleFeatureCollection&nbsp;irisGeom)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">
<div class="block">Generate new building groups out of entrances addresses and their links to building.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>org.opengis.feature.simple.SimpleFeature</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#generateSimpleFeature()" class="member-name-link">generateSimpleFeature</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../address/Address.html" title="class in fr.ici.buildingActivity.address">Address</a>&gt;</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getEntrances()" class="member-name-link">getEntrances</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&gt;</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getNames()" class="member-name-link">getNames</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>org.geotools.feature.simple.SimpleFeatureBuilder</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getSFB()" class="member-name-link">getSFB</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static org.geotools.data.simple.SimpleFeatureCollection</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#getSfcBuildingGroup(java.util.List)" class="member-name-link">getSfcBuildingGroup</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;? extends <a href="Building.html" title="class in fr.ici.buildingActivity.building">Building</a>&gt;&nbsp;lBG)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">
<div class="block">Export a list of building group to a geo file</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="BuildingGroup.html" title="class in fr.ici.buildingActivity.building">BuildingGroup</a>&gt;</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#importBuildingGroup(java.io.File,java.lang.String,java.io.File,fr.ici.buildingActivity.util.property.BuildingRef,java.io.File)" class="member-name-link">importBuildingGroup</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;irisHousingFile,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;shortYear,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;bdTopoBuildingFile,
 <a href="../util/property/BuildingRef.html" title="enum class in fr.ici.buildingActivity.util.property">BuildingRef</a>&nbsp;ref,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;addressFile)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">
<div class="block">Generate new BuildingGroup from sources.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="BuildingGroup.html" title="class in fr.ici.buildingActivity.building">BuildingGroup</a>&gt;</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#importBuildingGroupICI(java.io.File)" class="member-name-link">importBuildingGroupICI</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;buildingGroupICI)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">
<div class="block">Import already exported ICI's BuildingGroup.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="BuildingGroup.html" title="class in fr.ici.buildingActivity.building">BuildingGroup</a>&gt;</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#importBuildingGroupICI(java.io.File,boolean,java.util.List)" class="member-name-link">importBuildingGroupICI</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;buildingGroupICI,
 boolean&nbsp;regenerateEntrance,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../address/Address.html" title="class in fr.ici.buildingActivity.address">Address</a>&gt;&nbsp;addresses)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">
<div class="block">Import already exported ICI's BuildingGroup.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static <a href="BuildingGroup.html" title="class in fr.ici.buildingActivity.building">BuildingGroup</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#mergeBuildingGroups(java.util.List)" class="member-name-link">mergeBuildingGroups</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="BuildingGroup.html" title="class in fr.ici.buildingActivity.building">BuildingGroup</a>&gt;&nbsp;lBG)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#toString()" class="member-name-link">toString</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
</div>
</div>
</div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-fr.ici.buildingActivity.building.Building">Methods inherited from class&nbsp;fr.ici.buildingActivity.building.<a href="Building.html" title="class in fr.ici.buildingActivity.building">Building</a></h3>
<code><a href="Building.html#computeRoomLeft(java.util.List)">computeRoomLeft</a>, <a href="Building.html#export(java.util.List,java.io.File)">export</a>, <a href="Building.html#getGeom()">getGeom</a>, <a href="Building.html#getNbHousing()">getNbHousing</a>, <a href="Building.html#getProfessionalArea()">getProfessionalArea</a>, <a href="Building.html#getRoomLeft(java.util.List)">getRoomLeft</a>, <a href="Building.html#getSFCBuilding(java.util.List)">getSFCBuilding</a>, <a href="Building.html#getUtilFloorArea()">getUtilFloorArea</a>, <a href="Building.html#setNbPOI(int)">setNbPOI</a>, <a href="Building.html#setProfessionalArea(float)">setProfessionalArea</a></code></div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-fr.ici.dataImporter.iciObjects.ICIObject">Methods inherited from class&nbsp;fr.ici.dataImporter.iciObjects.ICIObject</h3>
<code>equals, getID, getType, hashCode, setID, setRdGen, setType</code></div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-java.lang.Object">Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#clone()" title="class or interface in java.lang" class="external-link">clone</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#finalize()" title="class or interface in java.lang" class="external-link">finalize</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#getClass()" title="class or interface in java.lang" class="external-link">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notify()" title="class or interface in java.lang" class="external-link">notify</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notifyAll()" title="class or interface in java.lang" class="external-link">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait()" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long)" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long,int)" title="class or interface in java.lang" class="external-link">wait</a></code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor-detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(fr.ici.buildingActivity.building.BuildingSimple,java.util.List,boolean)">
<h3>BuildingGroup</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="element-name">BuildingGroup</span><wbr><span class="parameters">(<a href="BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a>&nbsp;building,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../address/Address.html" title="class in fr.ici.buildingActivity.address">Address</a>&gt;&nbsp;addresses,
 boolean&nbsp;entrance)</span></div>
<div class="block">Create Building Group with an initial building</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>building</code> - first #BuildingSimple.</dd>
<dd><code>addresses</code> - can be of many types. If an entrance, will be store as the main entrance and give the name to the building group. If another type (such as parcel), will only give the name.</dd>
<dd><code>entrance</code> - specify if the address is an entrance or not.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="&lt;init&gt;(java.lang.String,float,java.util.List,java.util.List,int,boolean,int,float,org.locationtech.jts.geom.MultiPolygon)">
<h3>BuildingGroup</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="element-name">BuildingGroup</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;id,
 float&nbsp;utilFloorArea,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&gt;&nbsp;names,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&gt;&nbsp;idBdTopo,
 int&nbsp;nbHousing,
 boolean&nbsp;unknownNumberOfHousing,
 int&nbsp;nbPOI,
 float&nbsp;roomLeft,
 org.locationtech.jts.geom.MultiPolygon&nbsp;geom)</span></div>
<div class="block">Building Group constructor for importing an exported Building Group</div>
</section>
</li>
<li>
<section class="detail" id="&lt;init&gt;()">
<h3>BuildingGroup</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="element-name">BuildingGroup</span>()</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method-detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="getEntrances()">
<h3>getEntrances</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../address/Address.html" title="class in fr.ici.buildingActivity.address">Address</a>&gt;</span>&nbsp;<span class="element-name">getEntrances</span>()</div>
</section>
</li>
<li>
<section class="detail" id="mergeBuildingGroups(java.util.List)">
<h3>mergeBuildingGroups</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="BuildingGroup.html" title="class in fr.ici.buildingActivity.building">BuildingGroup</a></span>&nbsp;<span class="element-name">mergeBuildingGroups</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="BuildingGroup.html" title="class in fr.ici.buildingActivity.building">BuildingGroup</a>&gt;&nbsp;lBG)</span></div>
</section>
</li>
<li>
<section class="detail" id="generateBuildingGroup(java.util.List,java.util.List,org.geotools.data.simple.SimpleFeatureCollection,org.geotools.data.simple.SimpleFeatureCollection)">
<h3>generateBuildingGroup</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="BuildingGroup.html" title="class in fr.ici.buildingActivity.building">BuildingGroup</a>&gt;</span>&nbsp;<span class="element-name">generateBuildingGroup</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a>&gt;&nbsp;lBuilding,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../address/Address.html" title="class in fr.ici.buildingActivity.address">Address</a>&gt;&nbsp;lAdd,
 org.geotools.data.simple.SimpleFeatureCollection&nbsp;linkAddressBuilding,
 org.geotools.data.simple.SimpleFeatureCollection&nbsp;irisGeom)</span></div>
<div class="block">Generate new building groups out of entrances addresses and their links to building.
 Do not generate housings</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>lBuilding</code> - list of IGN's simple building</dd>
<dd><code>lAdd</code> - list of addresses</dd>
<dd><code>linkAddressBuilding</code> - Links between addresses and buildings</dd>
<dd><code>irisGeom</code> - list of concerned IRIS for dealing with building group step by step. Used to speed calculations only, if no such element, create a overlapping bounding box</dd>
<dt>Returns:</dt>
<dd>a brand-new list of building group</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="generateBuildingGroup(java.util.List,java.util.List,java.util.List,org.geotools.data.simple.SimpleFeatureCollection)">
<h3>generateBuildingGroup</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="BuildingGroup.html" title="class in fr.ici.buildingActivity.building">BuildingGroup</a>&gt;</span>&nbsp;<span class="element-name">generateBuildingGroup</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a>&gt;&nbsp;lBuilding,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../address/Address.html" title="class in fr.ici.buildingActivity.address">Address</a>&gt;&nbsp;lAddEntrances,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../address/Address.html" title="class in fr.ici.buildingActivity.address">Address</a>&gt;&nbsp;lAddParcels,
 org.geotools.data.simple.SimpleFeatureCollection&nbsp;irisGeom)</span></div>
<div class="block">Generate new building groups out of two address collections, one representing entrances and an other one parcels. Do not generate housings</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>lBuilding</code> - list of IGN's simple building</dd>
<dd><code>lAddEntrances</code> - list of addresses for entrance</dd>
<dd><code>lAddParcels</code> - list of addresses for cadastral parcels</dd>
<dd><code>irisGeom</code> - list of concerned IRIS for dealing with building group step by step. Used to speed calculations only, if no such element, create a overlapping bounding box</dd>
<dt>Returns:</dt>
<dd>a brand-new list of building group</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="generateBuildingGroup(java.util.List,java.util.List,org.geotools.data.simple.SimpleFeatureCollection)">
<h3>generateBuildingGroup</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="BuildingGroup.html" title="class in fr.ici.buildingActivity.building">BuildingGroup</a>&gt;</span>&nbsp;<span class="element-name">generateBuildingGroup</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a>&gt;&nbsp;lBuilding,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../address/Address.html" title="class in fr.ici.buildingActivity.address">Address</a>&gt;&nbsp;lAdd,
 org.geotools.data.simple.SimpleFeatureCollection&nbsp;irisGeom)</span></div>
<div class="block">Generate new building groups out of address representing entrances and parcels. Do not generate housings</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>lBuilding</code> - list of IGN's simple building</dd>
<dd><code>lAdd</code> - list of BAN addresses</dd>
<dd><code>irisGeom</code> - list of concerned IRIS for dealing with building group step by step. Used to speed calculations only, if no such element, create a overlapping bounding box</dd>
<dt>Returns:</dt>
<dd>a brand-new list of building group</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getSfcBuildingGroup(java.util.List)">
<h3>getSfcBuildingGroup</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">org.geotools.data.simple.SimpleFeatureCollection</span>&nbsp;<span class="element-name">getSfcBuildingGroup</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;? extends <a href="Building.html" title="class in fr.ici.buildingActivity.building">Building</a>&gt;&nbsp;lBG)</span></div>
<div class="block">Export a list of building group to a geo file</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>lBG</code> - list</dd>
<dt>Returns:</dt>
<dd>the wrote file</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="importBuildingGroup(java.io.File,java.lang.String,java.io.File,fr.ici.buildingActivity.util.property.BuildingRef,java.io.File)">
<h3>importBuildingGroup</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="BuildingGroup.html" title="class in fr.ici.buildingActivity.building">BuildingGroup</a>&gt;</span>&nbsp;<span class="element-name">importBuildingGroup</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;irisHousingFile,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;shortYear,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;bdTopoBuildingFile,
 <a href="../util/property/BuildingRef.html" title="enum class in fr.ici.buildingActivity.util.property">BuildingRef</a>&nbsp;ref,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;addressFile)</span>
                                               throws <span class="exceptions"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></span></div>
<div class="block">Generate new BuildingGroup from sources. No housing is generated</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>list of building group</dd>
<dt>Throws:</dt>
<dd><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="importBuildingGroupICI(java.io.File)">
<h3>importBuildingGroupICI</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="BuildingGroup.html" title="class in fr.ici.buildingActivity.building">BuildingGroup</a>&gt;</span>&nbsp;<span class="element-name">importBuildingGroupICI</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;buildingGroupICI)</span>
                                                  throws <span class="exceptions"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></span></div>
<div class="block">Import already exported ICI's BuildingGroup.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>buildingGroupICI</code> - geofile of exported building group</dd>
<dt>Returns:</dt>
<dd>list of building group</dd>
<dt>Throws:</dt>
<dd><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></code> - reading geofile</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="importBuildingGroupICI(java.io.File,boolean,java.util.List)">
<h3>importBuildingGroupICI</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="BuildingGroup.html" title="class in fr.ici.buildingActivity.building">BuildingGroup</a>&gt;</span>&nbsp;<span class="element-name">importBuildingGroupICI</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;buildingGroupICI,
 boolean&nbsp;regenerateEntrance,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../address/Address.html" title="class in fr.ici.buildingActivity.address">Address</a>&gt;&nbsp;addresses)</span>
                                                  throws <span class="exceptions"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></span></div>
<div class="block">Import already exported ICI's BuildingGroup.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>buildingGroupICI</code> - geofile of exported building group</dd>
<dd><code>regenerateEntrance</code> - do we reconstruct the <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link"><code>List</code></a> of entrances? Time-consuming and not needed for every occasion.</dd>
<dd><code>addresses</code> - list of addresses</dd>
<dt>Returns:</dt>
<dd>list of building group</dd>
<dt>Throws:</dt>
<dd><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></code> - reading geofile</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="toString()">
<h3>toString</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></span>&nbsp;<span class="element-name">toString</span>()</div>
<dl class="notes">
<dt>Overrides:</dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>fr.ici.dataImporter.iciObjects.ICIObject</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getNames()">
<h3>getNames</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&gt;</span>&nbsp;<span class="element-name">getNames</span>()</div>
</section>
</li>
<li>
<section class="detail" id="generateSimpleFeature()">
<h3>generateSimpleFeature</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.opengis.feature.simple.SimpleFeature</span>&nbsp;<span class="element-name">generateSimpleFeature</span>()</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code>generateSimpleFeature</code>&nbsp;in class&nbsp;<code>fr.ici.dataImporter.iciObjects.ICIObject</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getSFB()">
<h3>getSFB</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.geotools.feature.simple.SimpleFeatureBuilder</span>&nbsp;<span class="element-name">getSFB</span>()</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code>getSFB</code>&nbsp;in class&nbsp;<code>fr.ici.dataImporter.iciObjects.ICIObject</code></dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
</div>
</div>
</body>
</html>
